<?php

namespace Drupal\style_selector\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FieldItemListInterface;

/**
 * Plugin implementation of the 'style_selector_css_class_formatter' formatter.
 *
 * @FieldFormatter(
 *   id = "style_selector_css_class_formatter",
 *   label = @Translation("Style Selector CSS Style"),
 *   field_types = {
 *     "style_selector_css_class",
 *   }
 * )
 */
class CssClassFormatter extends SelectorFormatterBase {

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode) {
    $elements = [];
    $library = \Drupal::config('style_selector.settings')->get('library_name');

    foreach ($items as $delta => $item) {
      // Attach the library if it's been set.
      if ($library) {
        $elements[$delta]['#attached']['library'][] = $library;
      }
    }

    return $elements;
  }

}
