<?php

namespace Drupal\style_selector\Plugin\Field\FieldWidget;

use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Form\FormStateInterface;

/**
 * Plugin implementation of the 'style_selector_css_color_widget' widget.
 *
 * @FieldWidget(
 *   id = "style_selector_css_color_widget",
 *   label = @Translation("Style Selector"),
 *   field_types = {
 *     "style_selector_css_color",
 *   },
 *   multiple_values = TRUE
 * )
 */
class CssColorSelectorWidget extends SelectorWidgetBase {

  /**
   * {@inheritdoc}
   */
  public function formElement(FieldItemListInterface $items, $delta, array $element, array &$form, FormStateInterface $form_state) {
    $element = parent::formElement($items, $delta, $element, $form, $form_state);

    $element += [
      '#style_type' => 'css_color',
    ];

    return $element;
  }

}
